encoding-0.10.2: A library for various character encodings

Safe Haskell | None
Language | Haskell2010

Data.Encoding.ISO2022

# Documentation

class ISO2022 e where Source #

Methods

readEscape :: ByteSource m => e -> m (Maybe DynEncoding) Source #

encodingForChar :: e -> Char -> Maybe (DynEncoding, [Word8]) Source #

#### Instances

Instances details

ISO2022 ISO2022JP Source # |
Instance details Defined in Data.Encoding.ISO2022JP Methods readEscape :: ByteSource m => ISO2022JP -> m (Maybe DynEncoding) Source # encodingForChar :: ISO2022JP -> Char -> Maybe (DynEncoding, [Word8]) Source #

encodeCharISO2022 :: (ISO2022 e, ByteSink m) => e -> Char -> m () Source #

decodeCharISO2022 :: (ISO2022 e, ByteSource m) => e -> m Char Source #

encodeISO2022 :: (ISO2022 e, ByteSink m) => e -> String -> m () Source #

decodeISO2022 :: (ISO2022 e, ByteSource m) => e -> m String Source #